package com.ruoyi.system.domain.task.enums;

import lombok.Getter;

/**
 * @author vidar
 * date 2025/2/11
 * description
 */
@Getter
public enum TkStatusEnum {
    t_10(10,"新建"),
    t_12(12,"已指派处理人"),
    t_17(17,"处理人已退回"),
    t_16(16,"指派人接受退回"),
    t_20(20,"处理人已接收"),
    t_22(22,"处理人申请延期"),
    t_24(24,"指派人同意延期"),
    t_26(26,"指派人拒绝延期"),
    t_30(30,"处理人处理完成"),
    t_34(34,"核查人已指派"),
    t_36(36,"核查不通过"),
    t_40(40,"核查通过"),
    t_50(50,"闭环")
    ;
    private final Integer code;
    private final String value;

    TkStatusEnum(Integer code, String value) {
        this.code = code;
        this.value = value;
    }
}
